| Digital Power Starter Kit 3 Firmware dsPIC33C Boost Converter Voltage Mode Control Example |

Data Fields
CNSTATx_s Struct Reference

`#include <common/p33c_pral/p33c_gpio.h>`

Collaboration diagram for CNSTATx_s:

## Data Fields
uint16_t | CNSTATx0:1
uint16_t | CNSTATx1:1
uint16_t | CNSTATx2:1
uint16_t | CNSTATx3:1
uint16_t | CNSTATx4:1
uint16_t | CNSTATx5:1
uint16_t | CNSTATx6:1
uint16_t | CNSTATx7:1
uint16_t | CNSTATx8:1
uint16_t | CNSTATx9:1
uint16_t | CNSTATx10:1
uint16_t | CNSTATx11:1
uint16_t | CNSTATx12:1
uint16_t | CNSTATx13:1
uint16_t | CNSTATx14:1
uint16_t | CNSTATx15:1

## Detailed Description

Definition at line 211 of file p33c_gpio.h.

## Field Documentation

## ◆ CNSTATx0

uint16_t CNSTATx0

Definition at line 212 of file p33c_gpio.h.

## ◆ CNSTATx1

uint16_t CNSTATx1

Definition at line 213 of file p33c_gpio.h.

## ◆ CNSTATx10

uint16_t CNSTATx10

Definition at line 222 of file p33c_gpio.h.

## ◆ CNSTATx11

uint16_t CNSTATx11

Definition at line 223 of file p33c_gpio.h.

## ◆ CNSTATx12

uint16_t CNSTATx12

Definition at line 224 of file p33c_gpio.h.

## ◆ CNSTATx13

uint16_t CNSTATx13

Definition at line 225 of file p33c_gpio.h.

## ◆ CNSTATx14

uint16_t CNSTATx14

Definition at line 226 of file p33c_gpio.h.

## ◆ CNSTATx15

uint16_t CNSTATx15

Definition at line 227 of file p33c_gpio.h.

## ◆ CNSTATx2

uint16_t CNSTATx2

Definition at line 214 of file p33c_gpio.h.

## ◆ CNSTATx3

uint16_t CNSTATx3

Definition at line 215 of file p33c_gpio.h.

## ◆ CNSTATx4

uint16_t CNSTATx4

Definition at line 216 of file p33c_gpio.h.

## ◆ CNSTATx5

uint16_t CNSTATx5

Definition at line 217 of file p33c_gpio.h.

## ◆ CNSTATx6

uint16_t CNSTATx6

Definition at line 218 of file p33c_gpio.h.

## ◆ CNSTATx7

uint16_t CNSTATx7

Definition at line 219 of file p33c_gpio.h.

## ◆ CNSTATx8

uint16_t CNSTATx8

Definition at line 220 of file p33c_gpio.h.

## ◆ CNSTATx9

uint16_t CNSTATx9

Definition at line 221 of file p33c_gpio.h.

The documentation for this struct was generated from the following file:

- dpsk_boost_vmc.X/sources/common/p33c_pral/p33c_gpio.h